Bug 825550 - undefined symbol: Perl_Gthr_key_ptr
undefined symbol: Perl_Gthr_key_ptr
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: perl-Digest-SHA (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 13:39 EDT by Charlie
Modified: 2012-11-19 04:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 04:24:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie 2012-05-27 13:39:48 EDT
Description of problem: when I try to execute checksetup.pl (in order to install bugzilla), it fails saying: perl: symbol lookup error: lib/i386-linux-thread-multi/auto/Digest/SHA/SHA.so: undefined symbol: Perl_Gthr_key_ptr


Version-Release number of selected component (if applicable): latest stable fedora repo


How reproducible: 


Steps to Reproduce:
1.install bugzilla
2.run checksetup.pl
  
Actual results: 
symbol lookup error: lib/i386-linux-thread-multi/auto/Digest/SHA/SHA.so: undefined symbol: Perl_Gthr_key_ptr

Expected results:
OK

Additional info:
Comment 1 Emmanuel Seyman 2012-05-27 16:19:49 EDT
(In reply to comment #0)
>
> symbol lookup error: lib/i386-linux-thread-multi/auto/Digest/SHA/SHA.so:
> undefined symbol: Perl_Gthr_key_ptr

Strange. It looks like your Digest-SHA module isn't compiled with your version of Perl. Is the system updated for both packages?
Comment 2 Petr Pisar 2012-05-28 04:32:57 EDT
Please check `perl' and `perl-Digest-SHA' versions. They should have them same release number (197.fc16) in Fedora 16:

# rpm -q perl-Digest-SHA perl
perl-Digest-SHA-5.61-197.fc16.x86_64
perl-5.14.2-197.fc16.x86_64

If this is not true, then you have not fully updated system.

Note You need to log in before you can comment on or make changes to this bug.